from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XXMLSecurityContext(XInterface, Protocol):
    def getSecurityEnvironmentNumber(self) -> int: ...
    def getSecurityEnvironmentByIndex(self, index: int) -> XSecurityEnvironment: ...
    def getSecurityEnvironment(self) -> XSecurityEnvironment: ...
    def getDefaultSecurityEnvironmentIndex(self) -> int: ...
    def setDefaultSecurityEnvironmentIndex(self, index: int) -> None: ...
